var localhost_recording_does_work = false;
var loopback_recording_does_work = false;

function displayGoHere()
{
	document.getElementById("address_prompt").style.visibility="visible";
	document.getElementById("go_here").user_site.focus();
}

function goHere()
{
	var url=document.getElementById("go_here").user_site.value;
	if (url.indexOf("://") < 0)
	{
		url="http://"+url;
	}
	
	var orig_url = url;
	
	if( !localhost_recording_does_work ) {
		url = url.replace(/http\:\/\/localhost/i, "http://" + hostname());
		url = url.replace(/https\:\/\/localhost/i, "https://" + hostname());
	}
	
	if( !loopback_recording_does_work ) {
		url = url.replace(/http\:\/\/127.0.0.1/i, "http://" + hostname());
		url = url.replace(/https\:\/\/127.0.0.1/i, "https://" + hostname());
	}

	if( url != orig_url )
		alert("Remarque : Web Performance Load Tester a d\351tect\351 une r\351f\351rence à \"localhost\" ou \"127.0.0.1\" et l'a modifi\351e pour lire \"" + hostname() + ",\" le nom d'hôte de la machine sur laquelle Load Tester s'ex\351cute.");
	
	window.location=url;
	return false;
}

function interfaceNameFromID(sid) {
	var interface_name = "interface inconnue"
		
	if(sid == "localhosttest")
		interface_name = "localhost";
	else if(sid = "loopbacktest")
		interface_name = "127.0.0.1";

	 return interface_name;
}

function imgTestSuccess(sid) {
	document.getElementById(sid + '-text').innerHTML = "L'enregistrement  sur " + interfaceNameFromID(sid) + " doit fonctionner."
	
	if(sid == "localhosttest")
		localhost_recording_does_work = true;
	if(sid == "loopbacktest")
		loopback_recording_does_work = true;
	
	adviseForLocalhost();
}

function imgTestFailure(sid) {
	var fail_url = "http://www.webperformance.com/diagnostic/fail.gif"

	document.getElementById(sid + '-img').onload = function() {};
	document.getElementById(sid + '-img').src = fail_url;
	document.getElementById(sid + '-text').innerHTML = "L'enregistrement sur " + interfaceNameFromID(sid) + " n'est pas correctement configur\351 dans les param\350tres proxy de votre navigateur.";

	adviseForLocalhost();
}

function adviseForLocalhost() {
	if(localhost_recording_does_work && loopback_recording_does_work) {
		document.getElementById("localhost_advise").innerHTML = "Vous pouvez enregistrer soit sur \"localhost\" soit sur \"127.0.0.1\" dans le cadre d'une \351valuation ou du d\351veloppement de cas-tests. Tout cas-test que vous d\351veloppez en utilisant cette m\351thode devra \352tre reconfigur\351 avec un nom de domaine enti\350rement qualifi\351 avant que vous ne puissiez ex\351cuter un test de charge distribu\351.";
	} else {
		document.getElementById("localhost_advise").innerHTML = "Soit votre navigateur n'arrive pas à atteindre \"localhost\" et \"127.0.0.1\", soit votre navigateur est configur\351 pour contourner notre proxy lors de l'utilisation de l'interface loopback. Si vous souhaitez utiliser cette possibilit\351, vous devrez reconfigurer les param\350tres proxy de votre navigateur.";
	}
}
